Enemy = class("Enemy", Ball)

local winx = love.graphics.getWidth()
local winy = love.graphics.getHeight()
local winmid = Vector:new(winx/2, winy/2)

Enemy.fillcolor = Color:new(129, 12, 168)
Enemy.bordercolor = Color:new(168, 46, 209)
Enemy.radius = 13
Enemy.linewidth = 3

function Enemy:initialize(position)
	super.initialize(self, Vector:new(math.random(30, winx-30), math.random(30, winy-30)))
	self.directionAngle = math.random() * math.pi
	self.directionVector = Vector:new(math.cos(self.directionAngle), math.sin(self.directionAngle))
	self.spawning = true
end

function Enemy:update(dt)
	self.position = self.position + self.directionVector * dt * 120
	self.position:normalize()
	local x, y = self.position.x, self.position.y
	self.position.x = math.min(self.position.x, winx - self.radius)
	self.position.x = math.max(self.position.x, self.radius)
	self.position.y = math.min(self.position.y, winy - self.radius)
	self.position.y = math.max(self.position.y, self.radius)
	if x ~= self.position.x or y ~= self.position.y then
		local r = math.atan2((winmid - self.position):reverse())
		self.directionAngle = r + (math.random()-0.5)*math.pi
		self.directionVector = Vector:new(math.cos(self.directionAngle), math.sin(self.directionAngle))
	end
end

function Enemy:draw()
	if self.spawning then
		love.graphics.setColor(0, 0, 0, 128) -- 128 is the part we care about)
	end
	super.draw(self)
	if self.spawning then
		love.graphics.setColor(0, 0, 0, 255)
	end
end
