menu = Game:addState "menu"

local winx = love.graphics.getWidth
local winy = love.graphics.getHeight

local modes = {
	"normal",
	"extreme",
	"insta-kill",
	"epilepsy"
}
local selected_mode = 1

local bg = Color:new(62, 193, 237)
local normal_font = love.graphics.newFont(9)
local big_font = love.graphics.newFont(16)
local bigger_font = love.graphics.newFont(50)

local fullscreen = false

function menu:enterState()
	bg:setBackground()
	Color:new(255, 255, 255):set()
	love.graphics.setFont(normal_font)
end

function menu:draw()
	love.graphics.print("Move with the joystick", 10, 10)
	love.graphics.print("Touch the yellow circles to get points!", 10, 22)
	love.graphics.print("Avoid the purple circles at all costs!", 10, 34)
	love.graphics.print("You can press [ I ] at any time to give up. Pussy.", 10, 46)
	love.graphics.print("Choose game mode with L and R:", 10, 180)
	local mode = modes[selected_mode]
	mode = mode:sub(1,1):upper()..mode:sub(2)
	love.graphics.print(mode.." mode", 10, 192)
	love.graphics.setFont(bigger_font)
	love.graphics.printf("DOTS", 0, 60, 320, "center")
	love.graphics.setFont(big_font)
	love.graphics.printf("PRESS [ I ] TO PLAY", 0, 120, 320, "center")
	love.graphics.setFont(normal_font)
end

function menu:jp(_, key)
	if key == 4 then
		selected_mode = selected_mode - 1
	elseif key == 5 then
		selected_mode = selected_mode + 1
	end
	if selected_mode == 0 then
		selected_mode = #modes
	elseif selected_mode == #modes + 1 then
		selected_mode = 1
	end
	if key == 8 then -- start the game
		self.mode = modes[selected_mode]
		self:gotoState "game"
	elseif key == 6 then -- quit the game
	 love.event.push "q"
	end
end
