Player = class("Player", Ball)

local winx = love.graphics.getWidth()
local winy = love.graphics.getHeight()

Player.fillcolor = Color:new(222, 30, 0)
Player.bordercolor = Color:new(209, 106, 90)
Player.radius = 9
Player.linewidth = 2

function Player:initialize()
	super.initialize(self, Vector:new(winx/2, winy/2))
	self.hp = 100
end

function Player:move(directionVector)
	self.position = self.position + directionVector
	self.position.x = math.min(math.max(self.radius, self.position.x), winx-self.radius)
	self.position.y = math.min(math.max(self.radius, self.position.y), winy-self.radius)
end

function Player:modHealth(modifier)
	self.hp = math.max(0, math.min(100, self.hp + modifier))
end
