-- libraries
require "MiddleClass"
require "Stateful"
-- classes
require "Game"
require "Color"
require "Vector"
require "Ball"
-- subclasses
require "GameStates/menu"
require "GameStates/game"
require "GameStates/over"
require "Enemy"
require "Player"
require "Target"
-- local variables
local game

-- our custom love loop
function love.run()
	game = Game:new()
	local dt = 0
	love.mouse.setVisible(false)
	while true do
		love.timer.step()
		dt = love.timer.getDelta()
		game:update(dt)
		love.graphics.clear()
		game:draw()
		for e,a,b,c in love.event.poll() do
			if e == "q" then
				if not game:quit() then
					love.audio.stop()
				end
				return
			end
			assert(game[e], "event "..e.." not handled!")
			game[e](game, a, b, c)
		end
		love.timer.sleep(1)
		love.graphics.present()
	end
end
